<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>NummerReeks App | Nummerreeksen</title>
	<link rel="icon" type="image/x-icon" href="/favicon.ico">
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.search.js"></script>
	<script src="/static/js/bcd.list.series.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		// NOTE: searchRequest is a JSON object, NOT a String!
		const SEARCH_REQUEST = ~%searchRequest%;
		const PERMISSION = '~%permission%';
	</script>
</head>

<body>

~%%include:navbar:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

	<h1>~%header%</h1>
	
	~%%include:logo:/html/include/Logo.html%
	
	<div class="left" id="w2">

		<div id="list-buttons-container">
			<button
				id="create-button"
				class="btn btn-primary"
				onclick="action('new')"
			>
				Nieuwe Nummerreeks
			</button>
		</div>

		<div>

			<div id="extra-search-options">
				<input
					id="mineOnly"
					type="checkbox"
					class="search-input"
					name="mineOnly"
					value="1"
					onclick="searchSimple();"
					style="margin-right: .4em;" >
				<span style="margin: 2px 30px 0 0;"><label for="mineOnly">Alleen mijn verzoeken</label></span>
				<input
					id="pendingOnly"
					type="checkbox"
					class="search-input"
					name="pendingOnly"
					value="1"
					onclick="searchSimple();"
					style="margin-right: .4em;" >
				<span style="margin: 2px 0 0 0;"><label for="pendingOnly">Alleen openstaande verzoeken</label></span>
			</div>

			<table
				cellspacing="0"
				width="100%">
				<thead>
					<tr>
						<th nowrap class="th-main" data-sortcol="TOP_DESK_ID">Topdesk Nr</th>
						<th nowrap class="th-main" data-sortcol="DEPARTMENT_NAME">Afdeling</th>
						<th nowrap class="th-main" data-sortcol="REQUESTER_NAME">Aanvrager</th>
						<th nowrap class="th-main" data-sortcol="INSTITUTE_CODE">Instituut</th>
						<th nowrap class="th-main" data-sortcol="COLLECTION_CODE">Collectie</th>
						<th nowrap class="th-main" data-sortcol="FIRST_NUMBER" style="text-align:right;">Eerste Nr</th>
						<th nowrap class="th-main" data-sortcol="LAST_NUMBER" style="text-align:right;">Laatste Nr</th>
						<th nowrap class="th-main" data-sortcol="AMOUNT" style="text-align:right;">Aantal</th>
						<th nowrap class="th-main" data-sortcol="DATE_MODIFIED">Gewijzigd</th>
						<th nowrap>&nbsp;</th> <!-- edit -->
						<th nowrap>&nbsp;</th> <!-- delete -->
						<th nowrap>&nbsp;</th> <!-- print -->
						<th nowrap class="th-main" data-sortcol="DISPENSE_COUNT">&nbsp;</th>
					</tr>
				</thead>

				<tbody>
					~%%begin:mainTable%
					<tr class="main-table-row" data-status="~%statusName:status%" ondblclick="showViewPage(~%requestId%);">
						<td nowrap><a
								href="https://naturalis.topdesk.net/tas/secure/incident?action=lookup&lookup=naam&lookupValue=~%topdesk:topDeskId%"
								target="_blank">~%topDeskId%</a></td>
						<td nowrap data-toggle="tooltip" title="~%departmentName%" width="50%" >~%abbrev25:departmentName%</td>
						<td nowrap data-toggle="tooltip" title="~%requesterName%" width="50%" >~%abbrev25:requesterName%</td>
						<td nowrap>~%instituteCode%</td>
						<td nowrap>~%collectionCode%</td>
						<td nowrap align="right">~%firstNumber%</td>
						<td nowrap align="right">~%lastNumber%</td>
						<td nowrap align="right">~%amount%</td>
						<td nowrap>~%dateModified%</td>

						<td class="button-container">
							<button
								class="btn btn-success"
								name="editButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Nummerreeks bijwerken"
								style="width: 100%; height: 1.8em;"
								onclick="showEditPage(~%requestId%);"
							>
								~%%include:/svg/pencil-square.svg%
							</button>
						</td>						
						
						<td class="button-container">
							<button
								class="btn btn-success"
								name="deleteButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Nummerreeks verwijderen"
								style="width: 100%; height: 1.8em;"
								onclick="deleteSeries(~%requestId%,'~%js:description%');"
							>
								~%%include:/svg/trash.svg%
							</button>
						</td>
						
						<td class="button-container">
							<button
								class="btn btn-success"
								name="printButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Nummerreeks printen"
								style="width: 100%; height: 1.8em;"
								onclick="printSeries(~%requestId%,~%dispenseCount%,'~%dateFirstClosed%');"
							>
								~%%include:/svg/printer.svg%
							</button>
						</td>
						<td nowrap id="dispenseCount~%requestId%" style="text-align:right">~%dispenseCount%</td>
					</tr>
					~%%end:mainTable%
				</tbody>
			</table>
			
			<div id="row-count-display"></div>

		</div>

~%%include:/html/include/PageButtons.html%
		
	</div>
	
~%%include:bsDialog:/html/include/BSDialog.html%

<span id="sortAsc" style="display:none;">&nbsp;~%%include:sortAscIcon:/svg/caret-up-fill.svg%</span>
<span id="sortDesc" style="display:none;">&nbsp;~%%include:sortDescIcon:/svg/caret-down-fill.svg%</span>

<script>
function enableButton(tr, buttonName) {
	const button = tr.find("button[name='" + buttonName + "']");
	button.prop("disabled", false).removeClass("btn-success").addClass("btn-primary");
}

function disableButton(tr, buttonName) {
	const button = tr.find("button[name='" + buttonName + "']");
	button.removeClass("btn-success").addClass("btn-primary");
}

function deActivateButton(parentElem, buttonName) {
	let button = parentElem.find("button[name='" + buttonName + "']");
	button.removeClass("btn-primary").removeClass("btn-success").addClass("btn-default").prop("disabled", true).attr("onclick", null).unbind("click");
}

function removeButton(parentElem, buttonName) {
	let button = parentElem.find("button[name='" + buttonName + "']");
	button.remove();
}

$('document').ready(function() {

	initListPage();

	// Inactivate the create button
	if (PERMISSION === "VIEW") {
		$("#create-button").remove();
	}

	// Process the edit/delete/print buttons
	$(".main-table-row").each(function() {
		const tr = $(this);
		const status = tr.attr('data-status');
		if(status === "OPEN") {
			enableButton(tr, "editButton");
			enableButton(tr, "deleteButton");
			disableButton(tr, "printButton");
		} else if(status === "LOCKED") {
			disableButton(tr, "editButton");
			disableButton(tr, "deleteButton");
			enableButton(tr, "printButton");
		}
		// Remove edit/print buttons for users with only VIEW permission
		if (PERMISSION === "VIEW") {
			removeButton(tr, "editButton");
			removeButton(tr, "deleteButton");
			removeButton(tr, "printButton");
		}
	});
	
});
</script>

</body>
</html>
